View Issue Details

IDProjectCategoryView StatusLast Update
0002705PartDesignBugpublic2018-09-23 08:36
ReporterronpAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04.5 LTS
Product Version 
Target VersionFixed in Version0.17 
Summary0002705: Changing pocket from "Through all" to "Dimension" causes further sketch based features to malfunction.
DescriptionAfter changing an earlier pocket feature from "Through all" to "Dimension", further sketch based features malfunction. On the step to convert a sketch to a pocket or a pad, the model disappears. This is reversible using the undo command.
Steps To Reproduce1 Open the attached ccc.fcstd 96025c591eb59b763c429f2010689b11
2 Toggle "case" to active body
3 Add sketch and pocket to one face to ensure working.
4 Change feature "wire-hole" from "Through all" to "Dimension" such as 1.5 in.
5 Attempt another sketch based feature such pad or pocket
6 On converting the sketch to pad or pocket, the model disappears
7 Undoing prior to step 4 restores normal function
Additional InformationOS: Ubuntu 14.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.8442 (Git)
Build type: Debug
Branch: master
Hash: 0ef07032fd29d77d58f3b68d7bc5d80fa6a2b78e
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.0
TagsNo tags attached.

Activities

ronp

2016-09-20 19:46

reporter  

ccc.fcstd (Attachment missing)

Kunda1

2017-02-04 03:48

administrator   ~0008203

Best to start a Forum thread before posting to the bug tracker. Please start one at http://forum.freecadweb.org/ and then bidirectionally link ticket <=> thread. Thanks.

Kunda1

2017-05-10 12:07

administrator   ~0008934

@ronp do you mind reattaching the fcstd file? We had a problem with our tracker and the file didn't survive the backup.

Kunda1

2017-06-28 14:15

administrator   ~0009573

@ronp ping

ronp

2017-07-03 23:15

reporter   ~0009663

This is a resubmission of a previously attached file.
96025c591eb59b763c429f2010689b11 ccc.fcstd

ccc-2.fcstd (718,319 bytes)

Kunda1

2017-07-04 00:03

administrator   ~0009664

@ronp thanks!
@chrisb do you mind testing this?

wmayer

2018-09-23 08:36

administrator   ~0011825

It seems this issue has been fixed in the meantime. With an old 0.17 development snapshot I could observe several problems but with the stable version the issue has disappeared.

Issue History

Date Modified Username Field Change
2016-09-20 19:46 ronp New Issue
2016-09-20 19:46 ronp File Added: ccc.fcstd
2017-02-04 03:48 Kunda1 Note Added: 0008203
2017-02-04 03:48 Kunda1 Status new => feedback
2017-05-10 12:07 Kunda1 Note Added: 0008934
2017-06-28 14:15 Kunda1 Note Added: 0009573
2017-07-03 23:15 ronp File Added: ccc-2.fcstd
2017-07-03 23:15 ronp Note Added: 0009663
2017-07-03 23:15 ronp Status feedback => new
2017-07-04 00:03 Kunda1 Note Added: 0009664
2017-10-18 13:09 wmayer Project FreeCAD => PartDesign
2018-09-23 08:36 wmayer Status new => closed
2018-09-23 08:36 wmayer Resolution open => fixed
2018-09-23 08:36 wmayer Fixed in Version => 0.17
2018-09-23 08:36 wmayer Note Added: 0011825